# Facts Throwing API
> A french version is available in the project. Search for readme.fr.md
## Purpose
Facts Throwing API is a little REST API i made on my free time. It it designed, as its name involve, to deliver basic facts for global knowledge purpose.

Only french is available for now but i might offer a translation later on.

### Tech

* | [.NET CORE] | - C# Framework
* | [Entity Framework Core] | - Awesome Data Access Layer framework (coupled with Fluent API)
* | [Microsoft SQL Server] | - Database service (coupled with EntityFrameworkCore Sql Server library)
* | [Swagger] | - Pratictal tool for API documentation purpose, readability and tests


### Installation


 First, clone the project
``` 
git clone https://gitlab.com/verite.maxence/factsthrowerapi.git 
```
or 
``` 
git clone https://gitlab.com/verite.maxence/factsthrowerapi.git 
```



### Todos

 - Add a suscribing system giving facts according to different parameters
 - Fill the database with tons of facts






   [.NET CORE]: <https://docs.microsoft.com/fr-fr/dotnet/core/>
   [Entity Framework Core]: <https://docs.microsoft.com/fr-fr/ef/core/>
   [Microsoft SQL Server]: <https://www.microsoft.com/fr-fr/sql-server/sql-server-2019>
   [Swagger]: <https://swagger.io/>